		
package com.sa.ibiz.demo.workflow;

import java.util.List;
import java.util.Map;

import org.flowable.bpmn.model.SequenceFlow;
import org.flowable.engine.runtime.ProcessInstance;

public interface IWFService {
	
	public ProcessInstance start(String initiator, String workflowKey, String businessKey, Map<String, Object> vars) ;

	/**
	 * 查询任务操作
	 * @param workflowKey
	 * @param businessKey
	 * @param user
	 * @return
	 */
	public List<SequenceFlow> findTaskLinkByUser(String workflowKey, String businessKey , String user);
	
	/**
	 * 执行任务操作
	 * @param action
	 * @param workflowKey
	 * @param businessKey
	 * @param user
	 * @param vars
	 */
	public void execTask(String action , String workflowKey, String businessKey , String user , Map<String, Object> vars);
	
	
}
